<div class="padding:5%">
  <ng-container *ngIf="mpaTableDataService.requestingProteinSequence">
    Requesting Protein Sequence...
    <span class="spinner-border spinner-border-sm ml-2" role="status" aria-hidden="true"></span>
  </ng-container>

  <div *ngIf="!mpaTableDataService.requestingProteinSequence && proteinSequenceData">
    <div [innerHTML]="getHighlightedSequence()"></div>
  </div>  
</div>
